VideosGet Content Details
Videos

Get Content Details

curl -X GET "https://api.videograph.ai/video/services/api/v1/contents/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Basic YOUR_CREDENTIALS"
{
  "status": "Success",
  "message": "Updated video details",
  "code": 200,
  "data": {
    "title": "Video title",
    "description": "Video description",
    "contentId": "",
    "tags": [
      "tag1",
      "tag2"
    ],
    "metadata": [
      {
        "key": "abc",
        "value": "pqr"
      }
    ],
    "playback_policy": [
      "public",
      "signed"
    ],
    "mp4_support": true,
    "save_original_copy": true,
    "statusId": 1,
    "status": "Processing",
    "duration": 100,
    "thumbnails": [],
    "created_at": 0
  }
}
GET
/video/services/api/v1/contents/{CONTENT_ID}
GET
Basic Authentication
Usernamestring
Required

Username for basic authentication

Passwordpassword
Required

Password for basic authentication

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)

Path Parameters

Responses

OK